-- file_io.sql
--
-- Show the I/O for each datafile.
SELECT d.file_name, f.phyblkwrt AS blocks_write,
       f.phyblkrd AS blocks_read, f.phyblkwrt + f.phyblkrd AS total_io
  FROM v$filestat f, dba_data_files d
 WHERE f.file# = d.file_id
 ORDER BY 1
/
