SELECT df.tablespace_name,
       SUM(fs.bytes) AS Free_Space,
       SUM(df.bytes) AS Total_Space
  FROM dba_data_files df JOIN dba_free_space fs
       ON df.tablespace_name = fs.tablespace_name
 GROUP BY df.tablespace_name
 ORDER BY df.tablespace_name
/
