SELECT TO_CHAR(completion_time, 'HH24') AS hour,
       COUNT(*) AS num_logs,
       RPAD(' ', count(*) + 1, '*') AS graph
  FROM v$archived_log
 WHERE TO_CHAR(completion_time, 'DD-MON-YY') >= SYSDATE - 24
 GROUP BY TO_CHAR(completion_time, 'HH24')
/
