-- Adjust directory paths as appropriate for your host platform,
-- Oracle installation, and SID.

CREATE UNDO TABLESPACE undotbs2
       DATAFILE '/u01/app/oracle/oradata/o10g/undotbs02.dbf'
       SIZE 100M
       RETENTION NOGUARANTEE
/

SELECT tablespace_name, d.file_name
  FROM dba_data_files d JOIN dba_tablespaces t USING (tablespace_name)
 WHERE t.contents = 'UNDO'
/

-- Go to the location specified and verify the file was created as given.
