-- child_tables.sql
-- 
-- This script will prompt for a table name. It will
-- show any tables that refer to it.

SET VERIFY OFF
ACCEPT tname PROMPT 'Enter table name: '

SELECT p.table_name AS parent_table,
       c.table_name AS child_table
  FROM user_constraints p JOIN user_constraints c
       ON p.constraint_name = c.r_constraint_name
   AND p.table_name = UPPER('&tname')
/

