-- parent_tables.sql
-- 
-- This script will prompt for a table name. It will then
-- show any tables it refers to.

SET VERIFY OFF
ACCEPT tname PROMPT 'Enter table name: '

SELECT c.table_name AS child_table,
       p.table_name AS parent_table
  FROM user_constraints c JOIN user_constraints p
       ON c.r_constraint_name = p.constraint_name
   AND c.table_name = UPPER('&tname')
/
